### Function

# Gio File new_build_filenamev

since: 2.78

#### Declaration [src]

    GFile*
    g_file_new_build_filenamev (
      const gchar* const* args
    )

#### Description [src]

Constructs a `GFile` from a vector of elements using the correct separator for filenames.

Using this function is equivalent to calling g_build_filenamev(), followed by `g_file_new_for_path()` on the result.

Available since: 2.78

#### Parameters

`args`

  Type: An array of `filename`

  `NULL`-terminated array of strings containing the path elements.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `GFile`

A new `GFile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.